## org.apache.cassandra.db.filter
Class IdentityQueryFilter

    java.lang.Object
      org.apache.cassandra.db.filter.QueryFilter
          org.apache.cassandra.db.filter.SliceQueryFilter
              org.apache.cassandra.db.filter.IdentityQueryFilter

    public class IdentityQueryFilter

extends SliceQueryFilter

Field Summary

Fields inherited from class org.apache.cassandra.db.filter.SliceQueryFilter
`count, finish, reversed, start`

Fields inherited from class org.apache.cassandra.db.filter.QueryFilter
`key, path`

Constructor Summary
`IdentityQueryFilter(java.lang.String key, QueryPath path)` Only for use in testing; will read entire CF into memory.

Method Summary
`SuperColumn` `filterSuperColumn(SuperColumn superColumn, int gcBefore)` subcolumns of a supercolumn are unindexed, so to pick out parts of those we operate in-memory.

Methods inherited from class org.apache.cassandra.db.filter.SliceQueryFilter
`collectReducedColumns, getColumnComparator, getMemColumnIterator, getSSTableColumnIterator`

Methods inherited from class org.apache.cassandra.db.filter.QueryFilter
`collectCollatedColumns, getColumnFamilyName, getMemColumnIterator, isRelevant`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IdentityQueryFilter

    public IdentityQueryFilter(java.lang.String key,
                               QueryPath path)

  Only for use in testing; will read entire CF into memory.

Method Detail

### filterSuperColumn

    public SuperColumn filterSuperColumn(SuperColumn superColumn,
                                         int gcBefore)

  Description copied from class: `QueryFilter`
  subcolumns of a supercolumn are unindexed, so to pick out parts of those we operate in-memory.

  Overrides:
    `filterSuperColumn` in class `SliceQueryFilter`
  Parameters:
    `superColumn` - may be modified by filtering op.

Copyright © 2010 The Apache Software Foundation